Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.query
Class SWRLBuiltInLibraryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.query.SWRLBuiltInLibraryImpl

All Implemented Interfaces:
  SWRLBuiltInLibrary

    public class SWRLBuiltInLibraryImpl

extends AbstractSWRLBuiltInLibrary

This built-in library has been superceded by the SQWRL built-in library. See See here for documentation on this new library.

Constructor Summary
`SWRLBuiltInLibraryImpl()`

Method Summary
`boolean` | `avg(List<BuiltInArgument> arguments)`
`boolean` | `columnNames(List<BuiltInArgument> arguments)`
`boolean` | `count(List<BuiltInArgument> arguments)`
`boolean` | `max(List<BuiltInArgument> arguments)`
`boolean` | `min(List<BuiltInArgument> arguments)`
`boolean` | `orderBy(List<BuiltInArgument> arguments)`
`boolean` | `orderByDescending(List<BuiltInArgument> arguments)`
`void` | `reset()`
`boolean` | `select(List<BuiltInArgument> arguments)`
`boolean` | `selectDistinct(List<BuiltInArgument> arguments)`
`boolean` | `sum(List<BuiltInArgument> arguments)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
`getInvokingBridge, getInvokingBuiltInIndex, getInvokingRuleName, getIsInConsequent, getLibraryName, invokeBuiltInMethod, invokeResetMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLBuiltInLibraryImpl

    public SWRLBuiltInLibraryImpl()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Specified by:
    `reset` in class `AbstractSWRLBuiltInLibrary`

### select

    public boolean select(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### selectDistinct

    public boolean selectDistinct(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Throws:
    `BuiltInException`

### count

    public boolean count(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### min

    public boolean min(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### max

    public boolean max(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### sum

    public boolean sum(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### avg

    public boolean avg(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### columnNames

    public boolean columnNames(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Throws:
    `BuiltInException`

### orderBy

    public boolean orderBy(List<BuiltInArgument> arguments)
                    throws BuiltInException

  Throws:
    `BuiltInException`

### orderByDescending

    public boolean orderByDescending(List<BuiltInArgument> arguments)
                              throws BuiltInException

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.